[new topic]
Maquisistem Zip Compress OCX 1.0

OCX to compress files 100 percent compatible with pkzip and winzip , This ocx was compiled with Vb5 and service pack 3 , developed to work very well only  in VB and VC++ , read the MaqzipR.dep file to see all the files needed to make the ocx run

Features

Properties , Methods and Events

How to install and use

Source code

FAQ

Know problems

About the developer

Registering


[new topic]
Features

This control requires the Pkzip and Pkunzip to work

and i am sure that you can find it very easy , but if you don't have it yet , then you can download it here

http://members.tripod.com/~Maquisistem/pkz204g.exe

, we only need the pkzip.exe and pkunzip to make the ocx work

I can't insert this files inside the distribution because pkzip and pkunzip is copyright of Pkware and isnot freeware , but every one have it , and this files are distributed in many CDs around the world

Files inside the distribution

MaqzipR.ocx

MaqzipD.ocx

pkzip.pif

pkunzip.pif

readme.txt

maqzip.hlp

sample.exe

sample.frm

sample.vbp

sample.vbw

Files required to make the OCX work

To compress zip files

MaqzipD.ocx or MaqzipR.ocx

pkzip.exe

pkzip.pif

To uncompress zip files

MaqzipD.ocx or MaqzipR.ocx

pkunzip.exe

pkunzip.pif

With this ocx you can compress / uncompress  true zip files compatible with pkzip and winzip , the time spended to compress / uncompress its the same as winzip , you can use all the commands of pkzip and pkunzip  , you can compress / uncompress directories and  subdirectories , you can use wildcards like "*.*" , *.??p"

Diferences about MaqzipD.ocx and MaqzipR.ocx

MaqzipD.ocx:

you can use it in design mode , you can compile your exe file without problems , but you every time see a about box of the control

MaqzipR.ocx:

this is the same , but you only can use this ocx if you get a registration return code from the developer , and this ocx don't show that aboubox in design mode or in the compiled exe file .

after the registration you never see a about box , and to distribute your aplication you only need to include the MaqzipR.ocx with your package , and this will work fine in your end user machine , because the verification for registration and the lock system only apply to the design mode , then dont be afraid about problems with your end users

and if the about box isnot a problems to you , then you can use and distribute the MaqzipD.ocx with your programs without problems , i guarantee it to you


[new topic]
Properties ,Methods and Events

AboutBox - Sub AboutBox()

    Member of MaquisistemZip.MaqZip

    to show a about box

CompressionError - Event CompressionError(ErrorNumber As Long)

    Member of MaquisistemZip.MaqZip

    returned when some error occur in the compression , the error number is the error returned

DecompressionError - Event DecompressionError(ErrorNumber As Long)

    Member of MaquisistemZip.MaqZip

    returned when some error occur in the decompression , the error number is the error returned

Finished - Event Finished(LenOfDestination As Long)

    Member of MaquisistemZip.MaqZip

    raised when the compression or decompression is finished , the LenOfDestination is the size of the zip file created

Progress - Event Progress(Position As Long)

    Member of MaquisistemZip.MaqZip

    returned when the ocx is working , Position is min 0 max 100

ZipCompress - Function ZipCompress(FilesToCompress As String, DestinationDir As String, DestinationFile As String, Options As String) As Boolean

    Member of MaquisistemZip.MaqZip

    to compress files or directories , FilesToCompress is the source file or files to compress like it :

"g:\back\*.*"

"c:\windows\*.ini"

"d:\dos\*.exe"

"c:\back\*.txt d:\ric\ola\*.ini f:\test\opa\*.dll"

DestinationDir is the path to store the ziped file like it

"c:\back"

"c:\windows"

"f:\ric"

"g:\test"

DestinationFile is the zip file to be created like it:

"test.zip"

"ricardo.zzz"

"me.z"

and the valid Options to use are :

-a              Add files

-b[drive]       create temp zipfile on alternative drive

-d              Delete files

-e[x,n,f,s,0]   use [eXtra|Normal (default)|Fast|Super fast|NO compression]

-f              Freshen files

-l              display software License agreement

-m[f,u]         Move files [with Freshen | with Update]

-u              Update files

-p|P            store Pathnames|p=recursed into|P=specified & recursed into

-r              Recurse subdirectories

-s[pwd]         Scramble with password [If no pwd is given, prompt for pwd]

-v[b][r][m][t][c] View .ZIP [Brief][Reverse][More][Technical][Comment] sort by

  [d,e,n,o,p,s] [Date|Extension|Name|natural Order(default)|Percentage|Size]

-&[f|l|u        Span disks [Format|format Low density|Unconditional format|

  ul|w|v]        Unconditional Low density|Wipe disk|enable dos Verify|

  [s[drive]]        Back up entire disk w/ subdirs (-rp) [drive to back up]]

-a+         clear archive Attribute after compression

-c          create/Edit Comments for all files

-C          add Comments for new files only

-i[-]       add files with archive Attribute set [don't turn attribute off]

-j|J<h,r,s> mask|don't mask <Hidden/System/Read-only> files (default=jhrs)

-k          Keep original .ZIP file date

-o          set .ZIP file date to the latest file in .ZIP file

-q          enable ANSI codes in comments

-t[date]    take files NEWER than or EQUAL to date (default=today)

-T[date]    take files OLDER than date (default=today)

-w|W<h,s>   include|exclude <Hidden, System> files (default=Whs)

-x<file>    eXclude specified file

-x@list     eXclude file(s) in specified list file

-z          create or modify .ZIP comment

-!          add authenticity verification to .ZIP file (registered vers only)

-$[drive]   save Volume label in .ZIP file (default = current drive)

-@list      generate list file

-=          open file in compatibility mode (bypass share)

ZipDecompress - Function ZipDecompress(FileToDecompress As String, DestinationPath As String, Options As String) As Boolean

    Member of MaquisistemZip.MaqZip

    to decompress files or directories , and the FileToDecompress is something like it :

"c:\back\ric.zip"

"f:\test\backup.zip"

"d:\zipped\hi\me.zip"

DestinationPath is the path to store the decompressed files or directories like it

"c:\back"

"d:\windows"

"g:\test\ric\hi\myzip"

and the valid Options to use are:

-c[m]             extract files to Console [with More]

-d                restore/create Directory structure stored in .ZIP file

-e[c|d|e|n|p|r|s] Extract files.  Sort by [CRC | Date | Extension | Name

                   | Percentage | Reverse | Size]

-f                Freshen files in destination directory

-j|J<h,r,s>       mask|don't mask <Hidden/System/Readonly> files (def.=jhrs)

-n                extract only Newer files

-o                Overwrite previously existing files

-p[a/b][c][#]     extract to Printer [Asc mode,Bin mode,Com port] [port #]

-q                Enable ANSI comments

-s[pwd]           Decrypt with password [If no pwd is given, prompt for pwd]

-t                Test .ZIP file integrity

-v[b][r][m][t]    View .ZIP [Brief][Reverse][More][Technical] sort by [CRC|

  [c,d,e,n,o,p,s] Date|Extension|Name|natural Order(default)|Percentage|Size]

-x<filespec>      eXclude file(s) from extraction

-$                Restore volume label on destination drive

-@listfile        Generate list file


[new topic]
How to install and use

The only thing that you need to do is to put Pkzip.exe and Pkunzip.exe in the same directory of the OCXs to make it work like another normal OCX .

This ocx was compiled with Vb5 and service pack 3 , developed to work very well only  in VB and VC++ , read the MaqzipR.dep file to see all the files needed to make the ocx run


[new topic]
Source code

I have included in the distribution of this package a sample project in VB5 , open it and look the code to see what you need to use the ocx

and if you want some tips :

to compress files and subdirectories and store the name of folders inside the zip file, Options "-r -p"

to use maximum compression , Options "-eX"

to decompress and create the directories and subdirectios  , Options "-d"

to compress files of diferent directories , FilesToCompress  , "c:\back\*.ini d:\test\*.txt f:\ric\hi\*.*"

and if you want more , then read the options available to pkzip and pkunzip


[new topic]
FAQ

If i am a registered user and i have developed a aplication using MaqzipR.ocx , what i need to include in the distribution to make it work correctly in the end user machine ?

you need to include the MaqzipR.ocx , Pkzip.pif ,Pkunzip.pif  and ask your end user to get pkzip.exe and pkunzip.exe if he dont have it yet , and you dont need more files to make it run correctly , that lock system only aplly to the design mode , in run mode that lock system don't work , believe me

If i distribute the MaqzipR.ocx with my application , then my end user can use this ocx for free ?

of course not , because he dont have the registration password to use it in design mode , and every password change in diferent machines ,because the number generated to register is based in a hardware number .

Then if i change my mainboard or my hd i need to get another number to make the ocx work ?

Yes , and i send this for free to you after the registration of course

Then if i delete my win95 i dont need to get another password , is it ?

Yes , you only need to store that password that i give to you and type it again in the registration form

Can i distribute my software with pkzip and pkunzip inside ?

I am not sure but i think that you need to ask the PKware for registration before doing it

Is your ocx compatible with long filenames and folders ?

No , the pkzip isnot compatible with it , then the files and directories will be truncated to 8.3 format after the compression or decompression , and if you need a compression tool with this suport , then take a look in my homepage after 09/April/98 , cause a i am finishing another compression ocx with suport to long filenames

Why i need to distribute the pif files also , this is important ?

Yes , without it after the compression or decompression some memory will not be returned to the system , and this pif avoid this problem

More question ask the developer in:

Maquisistem@geocities.com

homepage

http://members.tripod.com/~Maquisistem/index.html


[new topic]
Know problems

Don't suport to long filenames , the long filenames will be truncated to 8.3 format

You need to insert a extension to the file to be created in Zipcompression method like this "test.zip" the extension is very important , if you dont do it , then the program lock

In case of changing some parts of your hardware then you need to get another password to unlock the MaqzipR.ocx file


[new topic]
About the developer

My name is Ricardo Santos Pereira , and i am the developer of the Maquisistem Ltda .

Thank you for using my activex control ,  i hope you find this control usefull , i work hard to make this control very easy to use and setup.

And if you have some question , please  send email to bond@datasoft.com.br or maquisistem@geocities.com , and i gona aswer your question so quick as possible

And watch my home page , i am developing some amazing activex controls ..

http://members.tripod.com/~Maquisistem/index.html

Email

Maquisistem@geocities.com

Bond@datasoft.com.br

Important:  I want to live and work out of Brazil , if you can help ....

My address its:

country: Brazil

State: Paraná

city: Curitiba

address: O brasil para cristo  433

fone: 55 041 376 1059

postal code: 81650-110

thank you for your interest


[new topic]
Register

Thank you for trying to register this software , to register this OCX you need to pay 25 U$ , and send the information in the first text box of the form that apear when you try to use the MaqzipR.ocx to the developer in a e-mail to maquisistem@geocities.com or bond@datasoft.com.br , then the developer will return to you the code to be placed in the second textbox to activate this ocx to design and compile your programs , and this is only needed to unlock the ocx , after it you never will be asked again about the registration ( but if you change some parts of your hardware , then maybe you need to ask again about a new registration code ), and your compiled program can be distributed without problems or nag screens because the lock system only apply to the design mode  , and i am sure that you don't have problems to execute the instructions

Maquisistem Ltda